## cava-alsa 0.10.2

=== CMakeLists.txt ===
# This is only for the cavacore lib, see CAVACORE.md for details
# to build cava don't use this, use the automake stuff

cmake_minimum_required(VERSION 3.13.0)
project(cavacore)
add_library(cavacore STATIC cavacore.c)

## cava-alsa 0.7.2

=== debian/changelog ===
cava-alsa (0.7.2-1) unstable; urgency=medium

  * Initial release. (Closes: #954325)

 -- Lasse Flygenring-Harrsen <Lasse@Flygenring-Harrsen.com>  Thu, 09 Jul 2020 01:02:20 +0200

=== debian/control ===
Source: cava-alsa
Section: sound
Priority: optional
Maintainer: Lasse Flygenring-Harrsen <Lasse@Flygenring-Harrsen.com>
Build-Depends: debhelper-compat (= 13), libfftw3-dev, libasound2-dev, libncursesw5-dev, libpulse-dev, libncurses5-dev, libtool-bin, libiniparser-dev
Standards-Version: 4.5.0
Homepage: https://karlstav.github.io/cava/
Vcs-Browser: https://git.flygenring-harrsen.com/lasse/cava-alsa
Vcs-Git: https://git.flygenring-harrsen.com/lasse/cava-alsa.git
Rules-Requires-Root: no

Package: cava
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pulseaudio
Description: Console-based Audio Visualizer for Alsa
 C.A.V.A. is a bar spectrum audio visualizer for the Linux terminal using
 ALSA, pulseaudio or fifo buffer for input. This program is not intended
 for scientific use. It's written to look responsive and aesthetic when
 used to visualize music.

## cava-alsa 0.7.3

=== debian/changelog ===
cava-alsa (0.7.3-1) unstable; urgency=medium

  * Updated to new upstream version.  

 -- Lasse Flygenring-Harrsen <Lasse@Flygenring-Harrsen.com>  Sun, 11 Oct 2020 00:48:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Lasse Flygenring-Harrsen <Lasse@Flygenring-Harrsen.com>
 Build-Depends: debhelper-compat (= 13), libfftw3-dev, libasound2-dev, libncursesw5-dev, libpulse-dev, libncurses5-dev, libtool-bin, libiniparser-dev
 Standards-Version: 4.5.0
-Homepage: https://karlstav.github.io/cava/
+Homepage: https://github.com/karlstav/cava
 Vcs-Browser: https://git.flygenring-harrsen.com/lasse/cava-alsa
 Vcs-Git: https://git.flygenring-harrsen.com/lasse/cava-alsa.git
 Rules-Requires-Root: no

## cava-alsa 0.7.4

=== debian/changelog ===
cava-alsa (0.7.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:36:53 +1100

cava-alsa (0.7.4-1build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:30:40 +0000

cava-alsa (0.7.4-1) unstable; urgency=medium

  * New upstream version. (Closes: #984005)
  * Add myself to uploaders.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 21 Dec 2021 14:51:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: cava-alsa
 Section: sound
 Priority: optional
-Maintainer: Lasse Flygenring-Harrsen <Lasse@Flygenring-Harrsen.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lasse Flygenring-Harrsen <Lasse@Flygenring-Harrsen.com>
+Uploaders: Gard Spreemann <gspr@nonempty.org>
 Build-Depends: debhelper-compat (= 13), libfftw3-dev, libasound2-dev, libncursesw5-dev, libpulse-dev, libncurses5-dev, libtool-bin, libiniparser-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/karlstav/cava

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cava-$1.tar.gz%" \
   https://github.com/karlstav/cava/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## cava-alsa 0.10.2

=== debian/changelog ===
cava-alsa (0.10.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.10.2
  * d/cava.1: Update manual
  * d/control:
    - Bump Standards-Version to 4.7.0
    - Remove Uploaders field
    - Update Build-Depends
    - Update description
  * d/copyright: Update to the new release
  * d/patches:
    - 0001-Remove-rpath.patch: Drop patch, unnecessary in the new release
    - 0001-typo.patch: New patch to fix typo
    - 0002-Typo.patch: Forwarded to Upstream and apply DEP-3
    - missing-prototypes.patch: Drop patch, unnecessary in the new release
  * d/rules: Remove unnecessary command in the new release

 -- Matheus Polkorny <mpolkorny@gmail.com>  Sun, 09 Jun 2024 14:03:50 -0300

cava-alsa (0.7.4-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #1059806)
  * Re-import packaging history into GIT and move to salsa.debian.org.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1071299)
  * Fix building twice in a row.  (Closes: #1043712)
  * Switch from transitional B-D to libncurses-dev.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 May 2024 14:37:03 +0200

=== debian/control ===
Source: cava-alsa
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libfftw3-dev,
 libasound2-dev,
 libncurses-dev,
 libpulse-dev,
 libtool-bin,
 libiniparser-dev,
 libsdl2-dev,
 libpipewire-0.3-dev,
 libjack-jackd2-dev,
 pkgconf
Standards-Version: 4.7.0
Homepage: https://github.com/karlstav/cava
Vcs-Browser: https://salsa.debian.org/debian/cava-alsa
Vcs-Git: https://salsa.debian.org/debian/cava-alsa.git
Rules-Requires-Root: no

Package: cava
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pulseaudio
Description: Console-based Audio Visualizer for Alsa
 CAVA is a bar spectrum audio visualizer for the Linux terminal using
 ALSA, pipewire, pulseaudio or fifo buffer for input. This program is
 not intended for scientific use. It's written to look responsive and
 aesthetic when used to visualize music.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cava-$1.tar.gz%" \
   https://github.com/karlstav/cava/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## cava-alsa 0.10.3+dfsg

=== debian/changelog ===
cava-alsa (0.10.3+dfsg-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.10.3+dfsg
  * d/control: Remove libncurses-dev as build dependency
  * d/copyright: Exclude cava_win/ and cavandroid/ dirs and their copyright info
  * d/patches:
    - 0001-typo.patch: Drop patch, unnecessary in the new release
    - 0002-Typo.patch: Drop patch, unnecessary in the new release
    - 0001-typo.patch: New patch to fix typo
  * d/watch: Update to dfsg and use github api

 -- Matheus Polkorny <mpolkorny@gmail.com>  Sat, 23 Nov 2024 23:49:34 -0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  debhelper-compat (= 13),
  libfftw3-dev,
  libasound2-dev,
- libncurses-dev,
  libpulse-dev,
  libtool-bin,
  libiniparser-dev,

## cava-alsa 0.10.4+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,4 +3,23 @@
 
 cmake_minimum_required(VERSION 3.13.0)
 project(cavacore)
-add_library(cavacore STATIC cavacore.c)
+if (ANDROID)
+	add_library(cavacore SHARED cavacore.c)
+	if (NOT DEFINED FFTW_DIR)
+		message(FATAL_ERROR "FFTW_DIR not set, required by android, see cavandroid/README.md")
+	endif()
+	if (NOT EXISTS ${FFTW_DIR})
+		message(FATAL_ERROR "given FFTW_DIR: ${FFTW_DIR} does not exist")
+	endif()
+	if (NOT EXISTS "${FFTW_DIR}/jni/fftw3/api/")
+		message(FATAL_ERROR "given fftw include dir: ${FFTW_DIR}/jni/fftw3/api/ does not exist")
+	endif()
+	if (NOT EXISTS "${FFTW_DIR}/obj/local/${CMAKE_ANDROID_ARCH_ABI}/")
+		message(FATAL_ERROR "given lib dir: ${FFTW_DIR}/obj/local/${CMAKE_ANDROID_ARCH_ABI}/ does not exist, did you build it? See cavandroid/README.md")
+	endif()
+	target_include_directories(cavacore PRIVATE "${FFTW_DIR}/jni/fftw3/api/")
+	target_link_directories(cavacore PRIVATE "${FFTW_DIR}/obj/local/${CMAKE_ANDROID_ARCH_ABI}/")
+	target_link_libraries(cavacore fftw3)
+else()
+	add_library(cavacore STATIC cavacore.c)
+endif()

=== debian/changelog ===
cava-alsa (0.10.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.10.4+dfsg
  * d/gbp.conf: Update configuration for build process
  * d/p/0001-typo.patch: Drop patch, unnecessary in the new release

 -- Matheus Polkorny <mpolkorny@gmail.com>  Thu, 20 Feb 2025 01:17:45 -0300

cava-alsa (0.10.3+dfsg-2) unstable; urgency=medium

  * New maintainer (Closes: #1059806)

 -- Matheus Polkorny <mpolkorny@gmail.com>  Fri, 29 Nov 2024 19:36:44 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cava-alsa
 Section: sound
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Matheus Polkorny <mpolkorny@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
  libfftw3-dev,

=== debian/watch ===
version=4
opts="searchmode=plain,\
      filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/, \
      dversionmangle=s/@DEB_EXT@//, \
      repacksuffix=+dfsg" \
https://api.github.com/repos/karlstav/cava/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/V?@ANY_VERSION@

## cava-alsa 0.10.6%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,29 @@
 	target_include_directories(cavacore PRIVATE "${FFTW_DIR}/jni/fftw3/api/")
 	target_link_directories(cavacore PRIVATE "${FFTW_DIR}/obj/local/${CMAKE_ANDROID_ARCH_ABI}/")
 	target_link_libraries(cavacore fftw3)
+elseif(WIN32)
+	find_package(FFTW3)
+	find_package(GLEW)
+	find_package(SDL2)
+	find_package(Threads)
+
+	add_executable(cava
+		cava.c
+		cavacore.c
+		config.c
+		input/common.c
+		input/winscap.c
+		output/sdl_cava.c
+		output/sdl_glsl.c
+		output/terminal_noncurses.c
+		output/raw.c
+		output/noritake.c
+		cava_win/cava/cava.rc
+	)
+
+	target_compile_definitions(cava PRIVATE SDL SDL_GSL NDEBUG)
+	target_include_directories(cava PRIVATE ${GLEW_INCLUDE_DIRS} ${SDL2_INCLUDE_DIRS})
+	target_link_libraries(cava PRIVATE pthread shlwapi fftw3 GLEW::GLEW SDL2::SDL2)
 else()
 	add_library(cavacore STATIC cavacore.c)
 endif()

## cava-alsa 0.10.6+dfsg

=== debian/changelog ===
cava-alsa (0.10.6+dfsg-1) unstable; urgency=medium

  * New upstream version 0.10.6+dfsg
  * d/control: Bump Standards-Version to 4.7.2 (no changes)
  * d/copyright: Bump copyright year in debian/* to 2025
  * d/watch: Update to version 5

 -- Matheus Polkorny <mpolkorny@gmail.com>  Thu, 18 Sep 2025 23:36:44 -0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libpipewire-0.3-dev,
  libjack-jackd2-dev,
  pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/karlstav/cava
 Vcs-Browser: https://salsa.debian.org/debian/cava-alsa
 Vcs-Git: https://salsa.debian.org/debian/cava-alsa.git

=== debian/rules ===
#!/usr/bin/make -f

#Hardning bindnow
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

=== debian/watch ===
Version: 5
Source: https://api.github.com/repos/karlstav/cava/git/matching-refs/tags/
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
Download-Url-Mangle: s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g
Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Dversion-Mangle: s/\+dfsg\d*$//
Repacksuffix: +dfsg
Searchmode: plain

## cava-alsa 0.10.7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,5 +44,34 @@
 	target_include_directories(cava PRIVATE ${GLEW_INCLUDE_DIRS} ${SDL2_INCLUDE_DIRS})
 	target_link_libraries(cava PRIVATE pthread shlwapi fftw3 GLEW::GLEW SDL2::SDL2)
 else()
-	add_library(cavacore STATIC cavacore.c)
+	add_library(cavacore STATIC)
+	target_include_directories(cavacore PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
+	target_sources(cavacore PRIVATE cavacore.c)
+	if(INPUT_PIPEWIRE)
+		target_compile_definitions(cavacore PRIVATE PIPEWIRE)
+		set(AUDIO_INPUT ON)
+		target_sources(cavacore PRIVATE input/pipewire.c)
+		find_package(PkgConfig REQUIRED)
+		pkg_search_module(PIPEWIRE QUIET libpipewire-0.3)
+		pkg_search_module(SPA QUIET libspa-0.2)
+		if (PIPEWIRE_FOUND AND SPA_FOUND)
+			message(STATUS "Found PipeWire version ${PIPEWIRE_VERSION}")
+
+			# Link libraries and include directories to your target
+			target_link_libraries(cavacore PRIVATE ${PIPEWIRE_LIBRARIES} ${SPA_LIBRARIES})
+			target_include_directories(cavacore PRIVATE ${PIPEWIRE_INCLUDE_DIRS} ${SPA_INCLUDE_DIRS})
+			target_compile_options(cavacore PRIVATE ${PIPEWIRE_CFLAGS} ${SPA_CFLAGS})
+		else()
+			message(FATAL_ERROR "PipeWire or SPA libraries not found. Please ensure they are installed and pkg-config can find them.")
+		endif()
+	endif()
+	if(INPUT_ALSA)
+		target_compile_definitions(cavacore PRIVATE ALSA)
+		set(AUDIO_INPUT ON)
+		target_sources(cavacore PRIVATE input/alsa.c)
+	endif()
+	if(AUDIO_INPUT)
+		target_compile_definitions(cavacore PRIVATE AUDIO_INPUT)
+		target_sources(cavacore PRIVATE input/common.c)
+	endif()
 endif()

=== debian/changelog ===
cava-alsa (0.10.7+dfsg-1) unstable; urgency=medium

  * New upstream version 0.10.7+dfsg
  * d/control
    - Update Build Depends and Suggests
    - Bump Standards-Version to 4.7.3 (no changes)
    - Drop 'Priority: optional' from source stanza
    - Drop redundant Rules-Requires-Root field
  * d/copyright: Bump copyright year in debian/* to 2026

 -- Matheus Polkorny <mpolkorny@gmail.com>  Thu, 15 Jan 2026 01:05:43 -0300

=== debian/control ===
Source: cava-alsa
Section: sound
Maintainer: Matheus Polkorny <mpolkorny@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 pkgconf,
 libfftw3-dev,
 libtool,
 libsdl2-dev,
 libiniparser-dev,
 libncurses-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/karlstav/cava
Vcs-Browser: https://salsa.debian.org/debian/cava-alsa
Vcs-Git: https://salsa.debian.org/debian/cava-alsa.git

Package: cava
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests:
 libasound2t64,
 libpulse0,
 libpipewire-0.3-0,
 libportaudio2,
 libsndio7.0,
 libjack-jackd2-0,
Description: Console-based Audio Visualizer for Alsa
 CAVA is a bar spectrum audio visualizer for the Linux terminal using
 ALSA, pipewire, pulseaudio or fifo buffer for input. This program is
 not intended for scientific use. It's written to look responsive and
 aesthetic when used to visualize music.
